python-escript_5.0-4ubuntu1_i386.deb


Advertisement

Description

python-escript - Escript/Finley finite elements Python2 system (with OpenMP)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-escript
Package version 5.0
Package release 4ubuntu1
Package architecture i386
Package type deb
Installed size 10.23 KB
Download size 2.18 MB
Official Mirror archive.ubuntu.com
Escript is a programming tool for implementing mathematical models in Python
using the finite element method (FEM). Because users do not access the data
structures it is very easy to use and scripts can run on desktop computers
as well as highly parallel supercomputer without changes. Application areas
for escript include earth mantle convection, geophysical inversion,
earthquakes, porous media flow, reactive transport, plate subduction, erosion,
and tsunamis.
Scripts can be executed in parallel (on varying numbers of threads or nodes)
without any special modifications.
Escript now includes the esys.downunder module for 3D inversion of geophysical
data sets. The current version supports gravity, magnetic and joint inversion.
This package contains the commands and libraries for Python2 with
OpenMP threading.

Alternatives

Package Version Architecture Repository
python-escript_5.0-4ubuntu1_amd64.deb 5.0 amd64 Ubuntu Universe
python-escript - - -

Requires

Name Value
libboost-python1.62.0 -
libc6 >= 2.4
libgcc1 >= 1:4.0
libgomp1 >= 4.9
libnetcdf-c++4 >= 4.2
libpython2.7 >= 2.7
libstdc++6 >= 5.2
python-numpy -
python2.7 -
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-escript_5.0-4ubuntu1_i386.deb
Source Package python-escript

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-escript deb package:
    # sudo apt-get install python-escript

Files

Path
/usr/bin/run-escript2
/usr/lib/python-escript/esys/__init__.py
/usr/lib/python-escript/esys/downunder/__init__.py
/usr/lib/python-escript/esys/downunder/coordinates.py
/usr/lib/python-escript/esys/downunder/costfunctions.py
/usr/lib/python-escript/esys/downunder/datasources.py
/usr/lib/python-escript/esys/downunder/dcresistivityforwardmodeling.py
/usr/lib/python-escript/esys/downunder/domainbuilder.py
/usr/lib/python-escript/esys/downunder/inversioncostfunctions.py
/usr/lib/python-escript/esys/downunder/inversions.py
/usr/lib/python-escript/esys/downunder/magtel1d.py
/usr/lib/python-escript/esys/downunder/magtel2d.py
/usr/lib/python-escript/esys/downunder/mappings.py
/usr/lib/python-escript/esys/downunder/minimizers.py
/usr/lib/python-escript/esys/downunder/regularizations.py
/usr/lib/python-escript/esys/downunder/seismic.py
/usr/lib/python-escript/esys/downunder/splitinversioncostfunctions.py
/usr/lib/python-escript/esys/downunder/splitminimizers.py
/usr/lib/python-escript/esys/downunder/splitregularizations.py
/usr/lib/python-escript/esys/downunder/forwardmodels/__init__.py
/usr/lib/python-escript/esys/downunder/forwardmodels/acoustic.py
/usr/lib/python-escript/esys/downunder/forwardmodels/base.py
/usr/lib/python-escript/esys/downunder/forwardmodels/dcresistivity.py
/usr/lib/python-escript/esys/downunder/forwardmodels/gravity.py
/usr/lib/python-escript/esys/downunder/forwardmodels/magnetic.py
/usr/lib/python-escript/esys/downunder/forwardmodels/magnetotelluric2d.py
/usr/lib/python-escript/esys/downunder/forwardmodels/pressure.py
/usr/lib/python-escript/esys/downunder/forwardmodels/subsidence.py
/usr/lib/python-escript/esys/dudley/__init__.py
/usr/lib/python-escript/esys/dudley/dudleycpp.so
/usr/lib/python-escript/esys/dudley/factorywrappers.py
/usr/lib/python-escript/esys/dudley/readers.py
/usr/lib/python-escript/esys/escript/__init__.py
/usr/lib/python-escript/esys/escript/datamanager.py
/usr/lib/python-escript/esys/escript/linearPDEs.py
/usr/lib/python-escript/esys/escript/modelframe.py
/usr/lib/python-escript/esys/escript/models.py
/usr/lib/python-escript/esys/escript/pdetools.py
/usr/lib/python-escript/esys/escript/splitworld.py
/usr/lib/python-escript/esys/escript/symbolic.py
/usr/lib/python-escript/esys/escript/unitsSI.py
/usr/lib/python-escript/esys/escript/util.py
/usr/lib/python-escript/esys/escriptcore/__init__.py
/usr/lib/python-escript/esys/escriptcore/benchmark.py
/usr/lib/python-escript/esys/escriptcore/datamanager.py
/usr/lib/python-escript/esys/escriptcore/domainCouplers.py
/usr/lib/python-escript/esys/escriptcore/escriptcpp.so
/usr/lib/python-escript/esys/escriptcore/faultsystems.py
/usr/lib/python-escript/esys/escriptcore/flows.py
/usr/lib/python-escript/esys/escriptcore/gmshrunner.py
/usr/lib/python-escript/esys/escriptcore/heat.py
/usr/lib/python-escript/esys/escriptcore/levelset.py
/usr/lib/python-escript/esys/escriptcore/linearPDEs.py
/usr/lib/python-escript/esys/escriptcore/modelframe.py
/usr/lib/python-escript/esys/escriptcore/models.py
/usr/lib/python-escript/esys/escriptcore/mountains.py
/usr/lib/python-escript/esys/escriptcore/nonlinearPDE.py
/usr/lib/python-escript/esys/escriptcore/pdetools.py
/usr/lib/python-escript/esys/escriptcore/rheologies.py
/usr/lib/python-escript/esys/escriptcore/runmodel.py
/usr/lib/python-escript/esys/escriptcore/splitworld.py
/usr/lib/python-escript/esys/escriptcore/start.py
/usr/lib/python-escript/esys/escriptcore/testing.py
/usr/lib/python-escript/esys/escriptcore/unitsSI.py
/usr/lib/python-escript/esys/escriptcore/utestselect.py
/usr/lib/python-escript/esys/escriptcore/util.py
/usr/lib/python-escript/esys/escriptcore/symbolic/__init__.py
/usr/lib/python-escript/esys/escriptcore/symbolic/evaluator.py
/usr/lib/python-escript/esys/escriptcore/symbolic/functions.py
/usr/lib/python-escript/esys/escriptcore/symbolic/pretty.py
/usr/lib/python-escript/esys/escriptcore/symbolic/symbol.py
/usr/lib/python-escript/esys/escriptcore/symbolic/symconstants.py
/usr/lib/python-escript/esys/escriptcore/symbolic/utils.py
/usr/lib/python-escript/esys/finley/__init__.py
/usr/lib/python-escript/esys/finley/factorywrappers.py
/usr/lib/python-escript/esys/finley/finleycpp.so
/usr/lib/python-escript/esys/finley/readers.py
/usr/lib/python-escript/esys/modellib/__init__.py
/usr/lib/python-escript/esys/modellib/flow.py
/usr/lib/python-escript/esys/modellib/geometry.py
/usr/lib/python-escript/esys/modellib/input.py
/usr/lib/python-escript/esys/modellib/materials.py
/usr/lib/python-escript/esys/modellib/mechanics.py
/usr/lib/python-escript/esys/modellib/probe.py
/usr/lib/python-escript/esys/modellib/temperature.py
/usr/lib/python-escript/esys/modellib/visualization.py
/usr/lib/python-escript/esys/pycad/Triangle.py
/usr/lib/python-escript/esys/pycad/__init__.py
/usr/lib/python-escript/esys/pycad/design.py
/usr/lib/python-escript/esys/pycad/extras.py
/usr/lib/python-escript/esys/pycad/gmsh.py
/usr/lib/python-escript/esys/pycad/primitives.py
/usr/lib/python-escript/esys/pycad/shapes.py
/usr/lib/python-escript/esys/pycad/transformations.py
/usr/lib/python-escript/esys/ripley/MultiResolutionDomain.py
/usr/lib/python-escript/esys/ripley/__init__.py
/usr/lib/python-escript/esys/ripley/ripleycpp.so
/usr/lib/python-escript/esys/speckley/__init__.py
/usr/lib/python-escript/esys/speckley/speckleycpp.so
/usr/lib/python-escript/esys/weipa/__init__.py
/usr/lib/python-escript/esys/weipa/weipacpp.so
/usr/lib/python-escript/lib/buildvars
/usr/lib/python-escript/lib/libdudley.so
/usr/lib/python-escript/lib/libescript.so
/usr/lib/python-escript/lib/libescriptreader.so
/usr/lib/python-escript/lib/libfinley.so
/usr/lib/python-escript/lib/libpaso.so
/usr/lib/python-escript/lib/libripley.so
/usr/lib/python-escript/lib/libspeckley.so
/usr/lib/python-escript/lib/libweipa.so
/usr/share/doc/python-escript/changelog.Debian.gz
/usr/share/doc/python-escript/copyright
/usr/share/lintian/overrides/python-escript
/usr/share/man/man1/run-escript2.1.gz
/usr/share/python/runtime.d/python-escript.rtupdate

Changelog

2017-07-24 - Matthias Klose <doko@ubuntu.com>
python-escript (5.0-4ubuntu1) artful; urgency=medium
* Merge with Debian; remaining changes:
- Adjust build dependencies so that a single version of python 3 is 
picked up by the buildds.
2017-07-03 - Anton Gladky <gladk@debian.org>
python-escript (5.0-4) unstable; urgency=medium
[ Joel Fenwick ]
* [6f58a7e] Add sphinx-common to -doc dependencies. (Closes: #861023)
[ Anton Gladky ]
* [8713dfa] Replace latex-xcolor by texlive-latex-recommended. (Closes: #865245)
* [7ebf074] Use compat level 10.
* [70044aa] Set the highest level of hardening.
2017-05-20 - Bhavani Shankar <bhavi@ubuntu.com>
python-escript (5.0-3ubuntu1) artful; urgency=medium
* Adjust build dependencies so that a single version of python 3 is 
picked up by the buildds.
2017-05-17 - Bhavani Shankar <bhavi@ubuntu.com>
python-escript (5.0-3build3) artful; urgency=medium
* Try rebuild again to pick python 3.6
2017-05-14 - Bhavani Shankar <bhavi@ubuntu.com>
python-escript (5.0-3build2) artful; urgency=medium
* Try rebuild again to pick python 3.6
2017-05-14 - Bhavani Shankar <bhavi@ubuntu.com>
python-escript (5.0-3build1) artful; urgency=medium
* Rebuild for python 3.6 support.
2017-04-19 - Anton Gladky <gladk@debian.org>
python-escript (5.0-3) unstable; urgency=medium
[ Paul Dreik ]
* [b33279b] Fix FTBFS due to unused variables. (Closes: #860604)
2017-01-05 - Anton Gladky <gladk@debian.org>
python-escript (5.0-2) unstable; urgency=medium
[ Joel Fenwick ]
* [a75d1b9] Fix moved openmpi lib problem (Closes: #848787)
[ Anton Gladky ]
* [b80952a] Apply cme fix dpkg.
2016-09-19 - Joel Fenwick <j.oelpublic@gmail.com>
python-escript (5.0-1) unstable; urgency=medium
* New version upload
2016-08-11 - Anton Gladky <gladk@debian.org>
python-escript (4.2.0.1-4) unstable; urgency=medium
[ Joel Fenwick ]
* [96dc875] Protect against g++-6 (Closes: #831149)

See Also

Package Description
python-esmre_0.3.1-3build3_i386.deb Regular expression acceleration in Python2
python-espeak_0.5-1build5_i386.deb Python bindings for eSpeak
python-et-xmlfile_1.0.1-2_all.deb low memory library for creating large XML files (Python 2)
python-etcd_0.4.3-2_all.deb Python Etcd client library
python-ethtool_0.12-1.1_i386.deb Python bindings for the ethtool kernel interface
python-evdev_0.4.7-0ubuntu6_i386.deb Python bindings for the generic input event interface
python-evemu_2.6.0-0.1_i386.deb Linux Input Event Device Emulation Library - Python bindings
python-evtx_0.6.1-1_all.deb parser for recent Windows Event Log files -- Python 2 version
python-ewmh-doc_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (common documentation)
python-ewmh_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (Python 2)
python-exabgp_4.0.2-0ubuntu1_all.deb BGP swiss army knife of networking - Python 2 module
python-exactimage_0.9.2-1build1_i386.deb fast image manipulation library (Python bindings)
python-exam_0.10.5-2_all.deb Python module to help write better tests
python-excelerator_0.6.4.1-3_all.deb module for reading/writing Excel spreadsheet files
python-exconsole_0.1.5+git20131201-1_all.deb emergency/postmortem Python console
Advertisement
Advertisement